import { jsx as t, jsxs as r, Fragment as o } from "react/jsx-runtime";
import { u as d, a as c } from "./chunks/use-section-style.CqWLdjop.js";
import { B as l } from "./chunks/BrickWrapper.DUMJ-X1W.js";
import { p as m, w as u, x as g } from "./chunks/use-page-data.BYLN5MSa.js";
function p({ section: e }) {
  const i = d({ section: e });
  return /* @__PURE__ */ t("section", { id: e.id, "data-element-kind": "section", className: i, children: e.bricks.map((s) => /* @__PURE__ */ t(l, { brick: s }, s.id)) }, e.id);
}
function f() {
  const e = c(), i = m(), s = u(), a = g();
  return /* @__PURE__ */ r(o, { children: [
    /* @__PURE__ */ t("title", { children: a.title }),
    /* @__PURE__ */ t("meta", { name: "description", content: a.description }),
    /* @__PURE__ */ r("div", { className: e, children: [
      i.map((n) => /* @__PURE__ */ t(p, { section: n }, n.id)),
      s.bodyTags && // biome-ignore lint/security/noDangerouslySetInnerHtml: Enable raw HTML
      /* @__PURE__ */ t("div", { dangerouslySetInnerHTML: { __html: s.bodyTags } }),
      a.additionalTags?.bodyTags && // biome-ignore lint/security/noDangerouslySetInnerHtml: Enable raw HTML
      /* @__PURE__ */ t("div", { dangerouslySetInnerHTML: { __html: a.additionalTags.bodyTags } })
    ] })
  ] });
}
export {
  f as default
};
